ADAM_2.12: Core 0.36.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package ds
  Definition Classes
    adam
-  package read
  Definition Classes
    ds
- ADAMBAMOutputFormat
- ADAMBAMOutputFormatHeaderLess
- ADAMCRAMOutputFormat
- ADAMCRAMOutputFormatHeaderLess
- ADAMSAMOutputFormat
- ADAMSAMOutputFormatHeaderLess
- AlignmentDataset
- AnySAMInFormatter
- AnySAMInFormatterCompanion
- AnySAMOutFormatter
- BAMInFormatter
- DatasetBoundAlignmentDataset
- DatasetBoundReadDataset
- FASTQInFormatter
- IncorrectMDTagException
- ParquetUnboundAlignmentDataset
- ParquetUnboundReadDataset
- QualityScoreBin
- RDDBoundAlignmentDataset
- RDDBoundReadDataset
- ReadDataset
- ReferencePositionPairSerializer
- SAMInFormatter
- SingleReadBucketSerializer

c

org.bdgenomics.adam.ds.read

# ADAMSAMOutputFormatHeaderLess 

###

#### class ADAMSAMOutputFormatHeaderLess[K] extends KeyIgnoringAnySAMOutputFormat[K] with Serializable

Linear Supertypes
Serializable, Serializable, KeyIgnoringAnySAMOutputFormat[K], AnySAMOutputFormat[K], FileOutputFormat[K, SAMRecordWritable], OutputFormat[K, SAMRecordWritable], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ADAMSAMOutputFormatHeaderLess
2. Serializable
3. Serializable
4. KeyIgnoringAnySAMOutputFormat
5. AnySAMOutputFormat
6. FileOutputFormat
7. OutputFormat
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ADAMSAMOutputFormatHeaderLess()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def checkOutputSpecs(arg0: JobContext): Unit
   Definition Classes
     FileOutputFormat → OutputFormat
   Annotations
     @throws( ... ) @throws( classOf[java.io.IOException] )
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  def getDefaultWorkFile(arg0: TaskAttemptContext, arg1: String): Path
    Definition Classes
      FileOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
11.  def getOutputCommitter(arg0: TaskAttemptContext): OutputCommitter
    Definition Classes
      FileOutputFormat → OutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
12.  def getRecordWriter(context: TaskAttemptContext): RecordWriter[K, SAMRecordWritable]
    Definition Classes
      ADAMSAMOutputFormatHeaderLess → KeyIgnoringAnySAMOutputFormat → FileOutputFormat → OutputFormat
13.  def getRecordWriter(arg0: TaskAttemptContext, arg1: Path): RecordWriter[K, SAMRecordWritable]
    Definition Classes
      KeyIgnoringAnySAMOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
14.  def getSAMHeader(): SAMFileHeader
    Definition Classes
      KeyIgnoringAnySAMOutputFormat
15.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
16.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
17.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
19.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
20.  def readSAMHeaderFrom(arg0: InputStream, arg1: Configuration): Unit
    Definition Classes
      KeyIgnoringAnySAMOutputFormat
21.  def readSAMHeaderFrom(arg0: Path, arg1: Configuration): Unit
    Definition Classes
      KeyIgnoringAnySAMOutputFormat
    Annotations
      @throws( classOf[java.io.IOException] )
22.  def setSAMHeader(arg0: SAMFileHeader): Unit
    Definition Classes
      KeyIgnoringAnySAMOutputFormat
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

2.  def getWriteHeader(): Boolean
   Definition Classes
     KeyIgnoringAnySAMOutputFormat
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

3.  def setWriteHeader(arg0: Boolean): Unit
   Definition Classes
     KeyIgnoringAnySAMOutputFormat
   Annotations
     @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from Serializable

### Inherited from KeyIgnoringAnySAMOutputFormat[K]

### Inherited from AnySAMOutputFormat[K]

### Inherited from FileOutputFormat[K, SAMRecordWritable]

### Inherited from OutputFormat[K, SAMRecordWritable]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped